VideosGeneric Video
查询视频生成任务
查询 /v1/video/generations 视频任务状态与结果。Seedance 2.0 任务成功后,响应会包含生成视频 URL;视频 URL 通常具有时效性,建议获取后及时下载或转存。
Authorization
bearerAuth AuthorizationBearer <token>
使用 Authorization Bearer API Key 进行鉴权。
In: header
Path Parameters
task_id*string
视频生成任务 ID。
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/video/generations/task_123456"{
"id": "task_123456",
"task_id": "task_123456",
"object": "video.generation",
"status": "succeeded",
"model": "string",
"created_at": 0,
"updated_at": 0,
"completed_at": 0,
"expires_at": 0,
"seconds": "string",
"size": "string",
"progress": 0,
"url": "http://example.com",
"video_url": "http://example.com",
"content_url": "http://example.com",
"remixed_from_video_id": "string",
"output": [
{}
],
"error": {}
}{
"error": {
"code": "string",
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"request_id": "string"
}
}Video Generation
创建视频生成任务。该通用接口覆盖 HappyHorse、Seedance、Veo、万相等 `/v1/video/generations` 提供商。 使用 Seedance 2.0 时,通用字段会转换为官方 `content[]` 格式:`prompt` 转为文本内容,`image` 或 `images` 转为参考图片,`metadata.video_url` 转为参考视频,`metadata.audio_url` 转为参考音频,`size` 转为 `resolution`,`metadata.ratio` 转为 `ratio`。创建成功后保存返回的任务 ID,并通过 `GET /v1/video/generations/{task_id}` 轮询结果。
Grok Video Generation
Next Page